RegistrationFields Struct Reference

`#include <registration.h>`

## Public Attributes

std::string | username
std::string | nick
std::string | password
std::string | name
std::string | first
std::string | last
std::string | email
std::string | address
std::string | city
std::string | state
std::string | zip
std::string | phone
std::string | url
std::string | date
std::string | misc
std::string | text

## Detailed Description

Holds all the possible fields a server may require for registration according to Section 14.1, XEP-0077.

Definition at line 36 of file registration.h.

## Member Data Documentation

## address

std::string address

User's address.

Definition at line 45 of file registration.h.

## city

std::string city

User's city.

Definition at line 46 of file registration.h.

## date

std::string date

Date (?)

Definition at line 51 of file registration.h.

## email

std::string email

User's email address.

Definition at line 44 of file registration.h.

## first

std::string first

User's first name.

Definition at line 42 of file registration.h.

## last

std::string last

User's last name.

Definition at line 43 of file registration.h.

## misc

std::string misc

Misc (?)

Definition at line 52 of file registration.h.

## name

std::string name

User's name.

Definition at line 41 of file registration.h.

## nick

std::string nick

User's nickname.

Definition at line 39 of file registration.h.

## password

std::string password

User's password.

Definition at line 40 of file registration.h.

## phone

std::string phone

User's phone number.

Definition at line 49 of file registration.h.

## state

std::string state

User's state.

Definition at line 47 of file registration.h.

## text

std::string text

Text (?)

Definition at line 53 of file registration.h.

## url

std::string url

User's homepage URL (or other URL).

Definition at line 50 of file registration.h.

## username

std::string username

Desired username.

Definition at line 38 of file registration.h.

## zip

std::string zip

User's ZIP code.

Definition at line 48 of file registration.h.

The documentation for this struct was generated from the following file:

- registration.h